cascading.tap.local

## Class StdInTap

- java.lang.Object
- - cascading.tap.Tap<Config,Input,Void>
  - - cascading.tap.SourceTap<Properties,InputStream>
    - - cascading.tap.local.StdInTap

All Implemented Interfaces:
  FlowElement, ScopedElement, Traceable, Serializable

    public class StdInTap
    extends SourceTap<Properties,InputStream>

Class StdInTap provides a local mode tap for reading data from the `stdin` stream.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StdInTap(Scheme<Properties,InputStream,?,?,?> scheme)`

### Method Summary

Methods
`String` `getIdentifier()`
`long` `getModifiedTime(Properties conf)`
`TupleEntryIterator` `openForRead(FlowProcess<? extends Properties> flowProcess, InputStream inputStream)`
`boolean` `resourceExists(Properties conf)`

### Methods inherited from class cascading.tap.SourceTap

`commitResource, createResource, deleteResource, getSinkFields, isSink, openForWrite, prepareResourceForWrite, rollbackResource, sinkConfInit`

### Methods inherited from class cascading.tap.Tap

`createResource, deleteResource, equals, flowConfInit, getConfigDef, getFullIdentifier, getFullIdentifier, getModifiedTime, getNodeConfigDef, getScheme, getSinkMode, getSourceFields, getStepConfigDef, getTrace, hasConfigDef, hashCode, hasNodeConfigDef, hasStepConfigDef, id, isKeep, isReplace, isSource, isTemporary, isUpdate, openForRead, openForWrite, outgoingScopeFor, prepareResourceForRead, presentSinkFields, presentSourceFields, resolveIncomingOperationArgumentFields, resolveIncomingOperationPassThroughFields, resourceExists, retrieveSinkFields, retrieveSourceFields, setScheme, sourceConfInit, taps, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StdInTap

    public StdInTap(Scheme<Properties,InputStream,?,?,?> scheme)

### Method Detail

#### getIdentifier

    public String getIdentifier()

Specified by:
  `getIdentifier` in class `Tap<Properties,InputStream,Void>`

#### openForRead

    public TupleEntryIterator openForRead(FlowProcess<? extends Properties> flowProcess,
                                 InputStream inputStream)
                                   throws IOException

Specified by:
  `openForRead` in class `Tap<Properties,InputStream,Void>`
Throws:
  `IOException`

#### resourceExists

    public boolean resourceExists(Properties conf)
                           throws IOException

Specified by:
  `resourceExists` in class `Tap<Properties,InputStream,Void>`
Throws:
  `IOException`

#### getModifiedTime

    public long getModifiedTime(Properties conf)
                         throws IOException

Specified by:
  `getModifiedTime` in class `Tap<Properties,InputStream,Void>`
Throws:
  `IOException`